import React from 'react';

import { useDownload } from "../components/use-download";

export default function Zipping() {

    const { handleZip } = useDownload();

    const images = [
	{
	    'url':'https://test-api-data.vbn.de/data/csv-fare-zones',
	    'file':'fare-zones.csv',
	},
	{
	    'url':'https://test-api-data.vbn.de/data/csv-price-levels',
	    'file':'price-levels.csv',
	}
    ];

    //TODO Cleanup!
    /*
    let url = 'https://test-api-data.vbn.de/data/csv-fare-zones';
    let file = 'fare-zones.csv';
    url = 'https://test-api-data.vbn.de/data/csv-price-levels';
    file = 'price-levels.csv';
    */

    //TODO Cleanup!
    /*
    const images = [
      "image1.jpg",
      "image2.jpg",
      "image3.jpg",
      "image4.jpg",
      "image5.jpg",
   ]
   */
   return (
     <div>
       <button onClick={() => handleZip(images)}>Download</button>
     </div>
   )
};
